Bug 523294 - Windows 7 machine can not join a RHEL 5 samba PDC
Summary: Windows 7 machine can not join a RHEL 5 samba PDC
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba
Version: 5.4
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Simo Sorce
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 19:37 UTC by Johnny Hughes
Modified: 2009-11-02 21:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 19:52:12 UTC


Attachments (Terms of Use)

Description Johnny Hughes 2009-09-14 19:37:22 UTC
Description of problem:
Can not join a Windows 7 client to a RHEL 5 samba PDC.

This issue is fixed upstream in Samba-3.3.4 and higher.


Version-Release number of selected component (if applicable):
samba-3.0.33-3.14.el5

How reproducible:
Always

This website has a work around that works for newer versions of samba:

http://ggts.net/2009/05/17/joining-a-windows-7-system-to-a-samba-domain/

I have verified that a Windows 7 machine can join a PDC if using the Samba RPMs from here:

http://enterprisesamba.com/

Comment 1 Simo Sorce 2009-09-14 19:52:12 UTC
This is a known issue that can't be fixed in the 3.0.x series.
We have samba 3.3.x packages available starting from RHEL 5.4 in the supplemental CD.
These packages are built also with CTDB integration for clustering.

Also please see this wiki page for the official way to configure Windows 7:
http://wiki.samba.org/index.php/Windows7

Do not play with any other registry settings.


Note You need to log in before you can comment on or make changes to this bug.